Energia

## sqrt(x)

#### Description

Calculates the square root of a number.

#### Parameters

x: the number, any data type

#### Returns

double, the number's square root.

#### See also

- pow()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Energia Reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Energia reference is based on Arduino reference. Code samples in the reference are released into the public domain.

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes